﻿@{
    ViewBag.Title = "CooperatecustomCustomer";
    Layout = "~/Views/Shared/_Layout_Search.cshtml";
}
@section headerStyle{
    <script type="text/javascript">
        
        var khlxs = '@Html.Raw(Newtonsoft.Json.JsonConvert.SerializeObject(ViewBag.khlx))';
        var khlys = '@Html.Raw(Newtonsoft.Json.JsonConvert.SerializeObject(ViewBag.khly))';
        var hyfls = '@Html.Raw(Newtonsoft.Json.JsonConvert.SerializeObject(ViewBag.hyfl))';
        var users = '@Html.Raw(Newtonsoft.Json.JsonConvert.SerializeObject(ViewBag.users))';
         var shengDropDown = '@Html.Raw(Newtonsoft.Json.JsonConvert.SerializeObject(ViewBag.ShengDropDown))';
        loseherght = 60;
        gridConfig = { multiselect: true, selectcol: "Id" };
        dataCol = [
            { label: 'id', name: 'Id', labtype: 'txt', hidden: true },
            { label: '建档时间', name: 'CreatetimeName', labtype: 'txt', hidden: false, width: 100 },
            {
                label: '客户单位', name: 'Name', labtype: 'txt', hidden: false, width: 400,
                formatter: function (cellvalue, options, rowObject) {
                    return "<a onclick=\"OpenWindow('" + cellvalue.replace(/'/g, '') + "','98%','100%', '/CooperatecustomCustomer/Edit?id=" + rowObject.Id + "')\"  >" + cellvalue + "</a>";
                }
            },
             
            { label: '所属区域', name: 'ShengName', labtype: 'txt', hidden: false, width: 100  },
            { label: '客户来源', name: 'KhlyName', labtype: 'txt', hidden: false, width: 100  },
            { label: '行业分类', name: 'HyflName', labtype: 'txt', hidden: false, width: 100 },
            { label: '客户类型', name: 'KhlxName', labtype: 'txt', hidden: false, width: 100},
            { label: '业务经理', name: 'YwjlName', labtype: 'txt', hidden: false, width: 100 },
            { label: '订单数量', name: 'Ordercount', labtype: 'txt', hidden: false, width: 100 },
            { label: '订单产值', name: 'Moneycount', labtype: 'txt', hidden: false, width: 100 },
             
        ];
        dataUrl = "/CooperatecustomCustomer/GetList";
        searchCol = [

            { label: '客户来源', name: 'Khly', labtype: 'combox', hidden: false, data: JSON.parse(khlys), cwidth: '5%', cccwidth: '8%' },
            { label: '行业分类', name: 'Hyfl', labtype: 'combox', hidden: false, data: JSON.parse(hyfls), cwidth: '5%', cccwidth: '15%' },
            { label: '客户类型', name: 'Khlx', labtype: 'combox', hidden: false, data: JSON.parse(khlxs), cwidth: '5%', cccwidth: '8%' },
            { label: '业务经理', name: 'Ywjl', labtype: 'combox', hidden: false, data: JSON.parse(users), cwidth: '5%', cccwidth: '8%' },

            { label: '省', name: 'Sheng', labtype: 'combox', hidden: false, data: JSON.parse(shengDropDown), cwidth: '5%', cccwidth: '8%' },
            { label: '市', name: 'City', labtype: 'combox', hidden: false, data: JSON.parse('[]'), cwidth: '1%', cccwidth: '8%' },
            { label: '区县', name: 'AreaId', labtype: 'combox', hidden: false, data: JSON.parse('[]'), cwidth: '2%', cccwidth: '8%' },
            { label: '客户单位', name: 'Name', labtype: 'txt', hidden: false },
            { label: '建档时间', name: 'Createtime', labtype: 'datearea', hidden: false },


        ];
        var _pageAdd = function () {
            OpenWindow("新增合作客户", "98%", "100%", "/CooperatecustomCustomer/Edit/");
        }

        var _pagePrint = function () {

            var Khly = $("#PBSKhly").val();
            var Hyfl = $("#PBSHyfl").val();
            var Khlx = $("#PBSKhlx").val();
            var Ywjl = $("#PBSYwjl").val();
            var Sheng = $("#PBSSheng").val();
            var City = $("#PBSCity").val();
            var AreaId = $("#PBSAreaId").val();
            var Name = $("#PBSName").val();



            var Createtimestart = $("#PBSCreatetimestart").val();

            var Createtimeend = $("#PBSCreatetimeend").val();
            var Createtime = '';
            if (Createtimestart != '' && Createtimeend != '') {
                Createtime = Createtimestart + '|' + Createtimeend;
            }


            var url = "/CooperatecustomCustomer/print?Khly=" + Khly + "&Hyfl=" + Hyfl + "&Khlx=" + Khlx + "&Ywjl=" + Ywjl + "&Sheng=" + Sheng + "&City=" + City + "&AreaId=" + AreaId + "&Name=" + Name + "&Createtime=" + Createtime;
            var me = window.open(url, "打印");  //打开新窗口


        }


        var _pageDuanxin = function () {
            var duanxin = GetGridSelect();
            var baifangid = "";
            if (duanxin != '') {
                for (var i = 0; i < duanxin.length; i++) {
                    baifangid += duanxin[i] + ','
                }
                baifangid = baifangid.substring(0, baifangid.length - 1);
            } else {
                toastr.error("请选择客户");
                return;
            }

            OpenWindow("群发短信", "50%", "50%", "/CooperVisit/Duanxin?id=" + baifangid);

        }

        var _pageYoujian = function () {
            var duanxin = GetGridSelect();
            var baifangid = "";
            if (duanxin != '') {
                for (var i = 0; i < duanxin.length; i++) {
                    baifangid += duanxin[i] + ','
                }
                baifangid = baifangid.substring(0, baifangid.length - 1);
            } else {
                toastr.error("请选择客户");
                return;
            }

            OpenWindow("群发邮件", "50%", "50%", "/CooperVisit/Youjian?id=" + baifangid);

        }

        var _pageXinhan = function () {
            var duanxin = GetGridSelect();
            var baifangid = "";
            if (duanxin != '') {
                for (var i = 0; i < duanxin.length; i++) {
                    baifangid += duanxin[i] + ','
                }
                baifangid = baifangid.substring(0, baifangid.length - 1);
            } else {
                toastr.error("请选择客户");
                return;
            }

            OpenWindow("商业信函", "98%", "90%", "/CooperVisit/Xinhan?id=" + baifangid);

            //var url = "/CooperVisit/Xinhan?id=" + baifangid;
            //var me = window.open(url, "商业信函");  //打开新窗口

        }


        var _afterSave = function (result) {
            if (result) {
                toastr.success("保存成功");
            } else {
                toastr.error("保存失败");
            }
        }

        var _afterDel = function (result) {
            if (result) {
                toastr.success("删除成功");
            } else {
                /**/
                toastr.error("删除成功");
        /**/
    }
}
    </script>
}

@section footerScripts{
    <script type="text/javascript">

        function send() {

            var msg = $("#PBSSheng");

         
            if (msg.length > 0) {
                $("#PBSSheng").change(function () {
                    var sheng = $("#PBSSheng").val();
                    $.ajax({
                        type: "GET",
                        url: "/Project/getCity?shengid=" + sheng,
                        dataType: "json",
                        global: false,
                        data: "",
                        success: function (data) {
                          
                            var city = $("#PBSCity");
                            city.find('option').remove();
                            var aaa = '<option value="" hassubinfo="true">&nbsp;</option>';
                            city.append(aaa);
                            if (data.length > 0) {
                                for (var i = 0; i < data.length; i++) {

                                    var o = '<option value="' + data[i].CodeId + '" hassubinfo="true">' + data[i].Name + '</option>';
                                    city.append(o);
                                }
                            }
                            $("#PBSCity").trigger('chosen:updated');//更新选项
                        },
                        error: function () {


                            parent.layer.msg('失败', { icon: 5 });
                        }
                    });
                });

            } else {
                setTimeout(send, 1000);
            } }


        send();



        function sendCity() {

            var msg = $("#PBSCity");

           
            if (msg.length > 0) {
                $("#PBSCity").change(function () {

                    var city = $("#PBSCity").val();
                    $.ajax({
                        type: "GET",
                        url: "/Project/getAreaId?cityid=" + city,
                        dataType: "json",
                        global: false,
                        data: "",
                        success: function (data) {
                            
                            var quxian = $("#PBSAreaId");
                            quxian.find('option').remove();
                            var aaa = '<option value="" hassubinfo="true">&nbsp;</option>';
                            quxian.append(aaa);
                            if (data.length > 0) {
                                for (var i = 0; i < data.length; i++) {

                                    var o = '<option value="' + data[i].CodeId + '" hassubinfo="true">' + data[i].Name + '</option>';
                                    quxian.append(o);
                                }
                            }
                            $("#PBSAreaId").trigger('chosen:updated');//更新选项
                        },
                        error: function () {


                            parent.layer.msg('失败', { icon: 5 });
                        }
                    });
                });

            } else {
                setTimeout(sendCity, 1000);
            }
        }


        sendCity();




    </script>
}
